#!/bin/sh

echo "--> Running aclocal"
aclocal
if test "$?" != "0" ; then
    echo "*** aclocal failed"
    exit 1
fi

if test "`grep AC_CONFIG_HEADER configure.ac`" != "" -o \
        "`grep AM_CONFIG_HEADER configure.ac`" != "" ; then
    # if we use CONFIG_HEADER, then make sure to run autoheader
    echo "--> Running autoheader"
    autoheader
    if test "$?" != "0" ; then
        echo "*** autoheader failed"
        exit 1
    fi
else
    echo "--> autoheader not needed"
fi

echo "--> Running autoconf"
autoconf
if test "$?" != "0" ; then
    echo "*** autoconf failed"
    exit 1
fi

echo "--> Running libtoolize"
libtoolize --automake --copy
if test "$?" != "0" ; then
    echo "*** libtoolize failed"
    exit 1
fi

echo "--> Running automake"
automake -a --copy --include-deps
if test "$?" != "0" ; then
    echo "*** automake failed"
    exit 1
fi

echo;
echo "Running ./configure $@"
echo;
./configure $@
