// ============================================================================
// ==                                                                        ==
// == AMDiS - Adaptive multidimensional simulations                          ==
// ==                                                                        ==
// ============================================================================
// ==                                                                        ==
// ==  crystal growth group                                                  ==
// ==                                                                        ==
// ==  Stiftung caesar                                                       ==
// ==  Ludwig-Erhard-Allee 2                                                 ==
// ==  53175 Bonn                                                            ==
// ==  germany                                                               ==
// ==                                                                        ==
// ============================================================================
// ==                                                                        ==
// ==  http://www.caesar.de/cg/AMDiS                                         ==
// ==                                                                        ==
// ============================================================================

/** \file GNUPlotWriter.h */

#ifndef AMDIS_GNUPLOTWRITER_H
#define AMDIS_GNUPLOTWRITER_H

#include <vector>
#include <string>
#include "FileWriter.h"
#include "AMDiS_fwd.h"

namespace AMDiS {

  ///
  class GNUPlotWriter : public FileWriterInterface
  {
  public:
    ///
    GNUPlotWriter(std::string filename,
		  FiniteElemSpace *feSpace,
		  std::vector<DOFVector<double>*> &dofVectors);

    ///
    virtual ~GNUPlotWriter() {}

    ///
    virtual void writeFiles(AdaptInfo *adaptInfo, bool force);

  protected:
    /// Contains the mesh
    FiniteElemSpace *feSpace_;

    /// vector of dof vectors to write
    std::vector<DOFVector<double>*> dofVectors_;

    /// file name
    std::string filename_;
  };

}

#endif // AMDIS_VALUEWRITER_H
