#ifndef AMDIS_OPENMP_H
#define AMDIS_OPENMP_H

#ifdef _OPENMP

#include <algorithm>
#include <omp.h>

const bool amdisHaveOpenMP = true;

inline int omp_get_overall_max_threads() 
{
  return std::max(omp_get_max_threads(), omp_get_num_threads());
}

#else

const bool amdisHaveOpenMP = false;

inline int omp_get_max_threads() 
{
  return 1;
}

inline int omp_get_num_procs() 
{
  return 1;
}

inline int omp_get_num_threads() 
{
  return 1;
}

inline int omp_get_thread_num() 
{
  return 0;
}

inline int omp_get_overall_max_threads() 
{
  return 1;
}

#endif

#endif
