// ============================================================================
// ==                                                                        ==
// == AMDiS - Adaptive multidimensional simulations                          ==
// ==                                                                        ==
// ============================================================================
// ==                                                                        ==
// ==  crystal growth group                                                  ==
// ==                                                                        ==
// ==  Stiftung caesar                                                       ==
// ==  Ludwig-Erhard-Allee 2                                                 ==
// ==  53175 Bonn                                                            ==
// ==  germany                                                               ==
// ==                                                                        ==
// ============================================================================
// ==                                                                        ==
// ==  http://www.caesar.de/cg/AMDiS                                         ==
// ==                                                                        ==
// ============================================================================

/** \file ParallelDomainVec.h */

#ifndef AMDIS_PARALLELDOMAINVEC_H
#define AMDIS_PARALLELDOMAINVEC_H

#include "ParallelDomainBase.h"

namespace AMDiS {

  class ParallelDomainVec : public ParallelDomainBase
  {
  public:
    ParallelDomainVec(std::string name,
		      ProblemVec *problem,
		      ProblemInstatVec *problemInstat);

    void initParallelization(AdaptInfo *adaptInfo);

  protected:
    /// Starts the solution of the linear system using Petsc.
    void solve();

  protected:
    /// Pointer to the stationary problem.
    ProblemVec *probVec;
  };

}

#endif // AMDIS_PARALLELDOMAINVEC_H
